## ros-humble-fluent-rviz 0.0.3

=== debian/changelog ===
ros-humble-fluent-rviz (0.0.3-2bookworm) bookworm; urgency=high

  * Add CONTRIBUTING.md
  * Add LICENSE file
  * Contributors: Kotaro Yoshimoto

 -- shouth <shouth373@gmail.com>  Wed, 22 Jun 2022 16:00:00 -0000

ros-humble-fluent-rviz (0.0.1-2bookworm) bookworm; urgency=high

  * Reset version
  * Update maintainers
  * Update description
  * Fix README.md
  * Update README.md
  * Refactor
  * Port to ROS2
  * フォーマット
  * リファクタリング
  * リファクタリング
  * リファクタリング
  * リファクタリング
  * リファクタリング
  * リファクタリング
  * Rviz構造体のメンバ関数を修正
  * 特定のマージでpointsが空の時にマージ処理をしないように修正
  * スペルミスの修正
  * 制約の追加
  * 名前空間の指定漏れの修正
  * APIの調整
  * const修飾の追加
  * 返り値の型の修正
  * APIの調整
  * 制約の追加
  * 各種オーバーロード等の追加
  * noexcept指定の追加
  * サンプルの更新
  * 改良
  * 修正
  * 名前を変更
  * リファクタリング
  * 不使用の変数を削除
  * 実装の一部を共通化
  * 変換関数を追加
  * 統合処理の不足分を追加で実装
  * 一部実装を簡略化
  * 誤ったactionの指定を修正
  * 統合処理をひとまず実装
  * 値を返す時に変換を行うように変更
  * 要素アクセスの方式を変更
  * 適切な制約の追加
  * 適切な制約の追加
  * 返り値の型を簡略化
  * オブジェクト構築をよりジェネリックなものに変更
  * 生成関数をよりジェネリックなものに変更
  * 生成関数をよりジェネリックなものに変更
  * 生成関数をよりジェネリックなものに変更
  * 返り値の型を指定するよう変更
  * パラメータ周りの実装を大幅に改良
  * パラメータ周りの実装を大幅に改良
  * 自動的に変換されるように変更
  * マーカー周りの定義を簡略化
  * パラメータ周りの定義を改良
  * 名前空間の再編
  * リファクタリング
  * リファクタリング
  * 修正
  * コンストラクタの追加
  * オーバーロードの追加
  * 名前空間の再編
  * 一部改修
  * 返り値の型を修正
  * 要素アクセスの抽象化
  * 更新
  * 更新
  * コンパイルが通るよう修正
  * paramの実装を更新
  * 一部削除
  * eachを削除
  * 不完全な実装の修正
  * 単純化
  * 修正
  * ファクトリ関数の追加
  * 16進数に対応したRGB構造体を分離
  * 適切な名前へ変更
  * 名前空間の再編
  * vector要素を操作する関数群の原型を追加
  * 修正
  * static抜けを修正
  * 変換後の値をreturnするように改修
  * インデックスのイテレータを追加
  * Rvizの仕様に合わせた修正
  * コンパイルエラーの修正
  * メンバ関数の改良
  * ユーティリティの追加
  * 一部実装の削除
  * 不必要な部分を削除
  * 例の更新
  * とりあえず実装．気に入らなかったら後で消す
  * colorとcolorsを分離
  * 不要なかっこを削除
  * 値域の修正
  * 誤った関数呼び出しを修正
  * リファクタリング
  * 変換先の値を引数に参照でとるよう修正
  * 軽微な修正
  * 軽微な修正
  * 引数の取り方を修正
  * 構造体を引数にとる関数オーバーロードの追加
  * 引数の名前を修正
  * from関数を追加
  * メンバ関数を使用するよう変更
  * 名前の変更
  * CRTP周りの修正
  * 色周りの実装の追加
  * 右辺値への限定をとりやめ
  * 修正
  * 右辺値でのみ呼び出せるよう変更
  * インデックスの修正
  * フォーマット
  * 実装の整理
  * 継承関係を修正
  * setterを追加
  * 簡略化
  * 修正
  * 計算方法の変更
  * 不使用のヘッダの削除
  * SFINAE対応に向けた準備
  * 継承関係の修正
  * 正規化しないように修正
  * 単純化
  * 関数名の変更
  * 継承の上下反転
  * 一部不完全な実装を修正
  * 型変換まわりをとりあえず実装
  * 継承の再構成
  * ベクトル周りの実装を更新
  * 不足分のパラメータを追加
  * templateがネストされる順序を変更
  * 一部初期設定の変更
  * publish部の実装
  * 実装の変更
  * 特殊化されていないtemplateにも実装を追加
  * 実装の重複を修正
  * マーカーの種別に応じた実装の追加
  * CRTPを併用するよう変更
  * WIP
  * PolygonListStripの削除
  * リファクタリング
  * フォーマット
  * 多角形の生成関数の追加
  * 名前の変更
  * エイリアスの追加
  * リファクタリング
  * コンストラクタの呼び出し順序に合わせて変更
  * 内包する値をROSの構造体から普通の変数へ変更
  * 返り値の型の修正
  * ヘルパを用いた実装に変更
  * 右辺値参照を返すよう修正
  * フォーマット
  * インクリメントの挙動の修正
  * 不足箇所の修正
  * デフォルトコンストラクタの追加
  * slidingの追加
  * 参照の代わりにポインタを保持するように変更
  * quaternionの初期化処理の修正
  * iterator_tの使用箇所の修正
  * 各種修正
  * streamの追加
  * using漏れの修正
  * PointsFragmentの追加
  * 基本演算の実装
  * PointをVector3に統合
  * 型変換でコピーを返すよう変更
  * デフォルトコンストラクタの追加
  * テンプレート引数の汎化
  * リファクタリング
  * コメントの修正
  * 型の修正
  * 型の修正
  * ムーブを禁止
  * 初期値を指定するよう変更
  * 誤った引数の修正
  * READMEの更新
  * 名前空間の変更
  * マクロを用いた実装に変更
  * 型の修正
  * 不要なfriend宣言の除去
  * ヘルパを用いた実装に修正
  * リファクタリング
  * リファクタリング
  * 型の修正
  * セミコロン抜けを修正
  * actionをテンプレート引数で指定するよう修正
  * テンプレートを用いた実装へ修正
  * 未使用のテンプレートの削除
  * 誤った関数呼び出しの修正
  * 未使用の変数の削除
  * ADDアクションの指定の追加漏れの修正
  * 不必要にテンプレートパラメータを要求していた箇所を修正
  * constexpr if文の代わりにコンストラクタで初期値を指定するよう変更
  * 削除済みの構造体が使用されていたのを修正
  * color周りの修正
  * 仕様に合わせた調整
  * constexpr if文の代わりにコンストラクタで初期値を指定するよう変更
  * 型の修正
  * READMEの更新
  * iostream風に変更
  * スペルの修正
  * 引数の指定を行いやすくするように変更
  * 引数の指定を行いやすくするように変更
  * 明快な名前へ変更
  * SFINAEを用いた実装に変更
  * std::arrayへの対応
  * 誤ったnoexceptの除去
  * フォーマット
  * 使用していない変数の除去
  * 要素アクセスの対応範囲を拡大
  * 要素アクセスの抽象化
  * 関数呼び出しの修正
  * inline修飾子の追加
  * デフォルトカラーの生成関数を追加
  * リファクタリング
  * 修飾子の追加
  * 修飾子の追加
  * 単位ベクトルを関数で返すように変更
  * 引数の順番の間違いを修正
  * サンプルコードの更新
  * 演算子オーバーロードを追加
  * 修飾子の追加
  * READMEの更新
  * パラメータを専用のオブジェクトでとるように変更
  * 関数名の修正
  * READMEの更新
  * 右辺値での呼び出しを許可
  * コピーを禁止してムーブのみ可能に変更
  * 修正
  * 右辺値のコンテキストでのみ呼び出し可能に変更
  * 修正
  * コメントの修正
  * オプション指定済みエイリアスの追加
  * 修正
  * 名前空間の名前の差し戻し
  * 更新
  * 名前空間の新設
  * 16進数で色を指定できるよう変更
  * 修正
  * Format
  * Change not to use push helpers
  * Add const modifier
  * Add default color
  * Update README.md
  * デフォルト引数の追加
  * Init
  * Contributors: Kotaro Yoshimoto, Minami Shota, Shota Minami

 -- shouth <shouth373@gmail.com>  Mon, 23 May 2022 16:00:00 -0000
